# Enum NotificationPermissionResult.AuthorizationLevel

java.lang.Object
java.lang.Enum<NotificationPermissionResult.AuthorizationLevel>
com.codename1.notifications.NotificationPermissionResult.AuthorizationLevel

All Implemented Interfaces:
  `Comparable<NotificationPermissionResult.AuthorizationLevel>`

Enclosing class:
  `NotificationPermissionResult`

public static enum NotificationPermissionResult.AuthorizationLevel extends Enum<NotificationPermissionResult.AuthorizationLevel>
The granular authorization level returned by the platform. The constants are ordered from least to most permissive, so any level after `#DENIED` means notifications are permitted.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTHORIZED`
  The user granted full notification permission.
  `DENIED`
  The user explicitly denied notification permission.
  `EPHEMERAL`
  Notifications were authorized for a limited amount of time (App Clip style).
  `NOT_DETERMINED`
  The user has not yet made a choice regarding notification permission.
  `PROVISIONAL`
  Notifications were authorized provisionally (delivered quietly without an explicit prompt).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NotificationPermissionResult.AuthorizationLevel`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NotificationPermissionResult.AuthorizationLevel[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_DETERMINED

    public static final NotificationPermissionResult.AuthorizationLevel NOT_DETERMINED
    The user has not yet made a choice regarding notification permission.

  - ### DENIED

    public static final NotificationPermissionResult.AuthorizationLevel DENIED
    The user explicitly denied notification permission.

  - ### AUTHORIZED

    public static final NotificationPermissionResult.AuthorizationLevel AUTHORIZED
    The user granted full notification permission.

  - ### PROVISIONAL

    public static final NotificationPermissionResult.AuthorizationLevel PROVISIONAL
    Notifications were authorized provisionally (delivered quietly without an explicit prompt). Applies to iOS provisional authorization.

  - ### EPHEMERAL

    public static final NotificationPermissionResult.AuthorizationLevel EPHEMERAL
    Notifications were authorized for a limited amount of time (App Clip style).

- ## Method Details

  - ### values

    public static NotificationPermissionResult.AuthorizationLevel[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NotificationPermissionResult.AuthorizationLevel valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null